import*as React from'react';import {graphql}from'react-apollo';import update from'immutability-helper';import compose from'lodash/flowRight';import {connect}from'react-redux';import CounterView from'../components/CounterView.js';import {CounterQueryDocument,AddCounterDocument,AddCounterStateDocument,CounterStateDocument,OnCounterUpdatedDocument}from'../../common/generated-models.js';/* eslint-disable @typescript-eslint/no-unsafe-assignment */
class Counter extends React.Component {
    constructor(props) {
        super(props);
        this.subscription = null;
    }
    componentWillReceiveProps(nextProps) {
        if (!nextProps.loading) {
            // Subscribe or re-subscribe
            if (!this.subscription) {
                this.subscribeToCount();
            }
        }
    }
    componentWillUnmount() {
        if (this.subscription) {
            this.subscription();
        }
    }
    subscribeToCount() {
        const { subscribeToMore } = this.props;
        this.subscription = subscribeToMore({
            document: OnCounterUpdatedDocument,
            variables: {},
            updateQuery: (prev, { subscriptionData: { data: { counterUpdated: { amount }, }, }, }) => {
                return update(prev, {
                    counter: {
                        amount: {
                            $set: amount,
                        },
                    },
                });
            },
        });
    }
    render() {
        return React.createElement(CounterView, Object.assign({}, this.props));
    }
}
const CounterWithApollo = compose(graphql(CounterQueryDocument, {
    props({ data: { loading, error, counter, subscribeToMore } }) {
        if (error) {
            throw new Error(error);
        }
        return { loading, counter, subscribeToMore };
    },
}), graphql(AddCounterDocument, {
    props: ({ ownProps, mutate }) => ({
        addCounter(amount) {
            return () => mutate({
                variables: { amount },
                updateQueries: {
                    counterQuery: (prev, { mutationResult }) => {
                        const newAmount = mutationResult.data.addCounter.amount;
                        return update(prev, {
                            counter: {
                                amount: {
                                    $set: newAmount,
                                },
                            },
                        });
                    },
                },
                optimisticResponse: {
                    __typename: 'Mutation',
                    addCounter: {
                        __typename: 'Counter',
                        amount: ownProps.counter.amount + 1,
                    },
                },
            });
        },
    }),
}), graphql(AddCounterStateDocument, {
    props: ({ mutate }) => ({
        addCounterState: (amount) => () => {
            const { value } = mutate({ variables: { amount } });
            return value;
        },
    }),
}), graphql(CounterStateDocument, {
    props: ({ data: { counterState: { counter }, }, }) => ({ counterState: counter }),
}))(Counter);
var Counter$1 = connect((state) => ({ reduxCount: state.counter.reduxCount }), (dispatch) => ({
    onReduxIncrement(value) {
        return () => dispatch({
            type: 'COUNTER_INCREMENT',
            value: Number(value),
        });
    },
}))(CounterWithApollo);export default Counter$1;//# sourceMappingURL=Counter.js.map
