import { GraphQLResolveInfo, GraphQLScalarType, GraphQLScalarTypeConfig } from 'graphql';
import * as ApolloReactCommon from '@apollo/react-common';
export declare type Maybe<T> = T | null;
export declare type RequireFields<T, K extends keyof T> = {
    [X in Exclude<keyof T, K>]?: T[X];
} & {
    [P in K]-?: NonNullable<T[P]>;
};
/** All built-in and custom scalars, mapped to their actual values */
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    Date: any;
    AnyObject: any;
    JSON: any;
    JSONObject: any;
    Time: any;
    DateTime: any;
};
export declare type ClientCounter = {
    __typename?: 'ClientCounter';
    counter?: Maybe<Scalars['Int']>;
};
/**  Database counter  */
export declare type Counter = {
    __typename?: 'Counter';
    /**  Current amount  */
    amount: Scalars['Int'];
};
export declare type Criteria = {
    id?: Maybe<Scalars['ID']>;
    name?: Maybe<Scalars['String']>;
};
export declare type FieldError = {
    __typename?: 'FieldError';
    field: Scalars['String'];
    message: Scalars['String'];
};
export declare type Mutation = {
    __typename?: 'Mutation';
    /**  Increase counter value returns current counter amount  */
    addCounter?: Maybe<Counter>;
    addCounterState?: Maybe<ClientCounter>;
    /**  add Counter  */
    addMoleculerCounter?: Maybe<Counter>;
    /** Create a new Property to list */
    createProperty: Property;
    createPropertyCity: PropertyCity;
    createPropertyComment: PropertyComment;
    createPropertyCommentReply: PropertyCommentReply;
    createPropertyCountry: PropertyCountry;
    createPropertyImage: PropertyImage;
    createPropertyOwner: PropertyOwner;
    createPropertyPaymentStatus: PropertyPaymentStatus;
    createPropertyReservation: PropertyReservation;
    createPropertyReservationStatus: PropertyReservation;
    createPropertyReview: PropertyReview;
    createPropertyService: PropertyService;
    createPropertyStatus: PropertyStatus;
    createPropertyType: PropertyType;
    createPropertyUser: PropertyUser;
    createUserPropertyLike: UserPropertyLike;
    /** Delete an existing property */
    deleteProperty: Scalars['Boolean'];
    deletePropertyCity: Scalars['Boolean'];
    deletePropertyComment: Scalars['Boolean'];
    deletePropertyCommentReply: Scalars['Boolean'];
    deletePropertyCountry: Scalars['Boolean'];
    deletePropertyImage: Scalars['Boolean'];
    deletePropertyOwner: Scalars['Boolean'];
    deletePropertyPaymentStatus: Scalars['Boolean'];
    deletePropertyReservation: Scalars['Boolean'];
    deletePropertyReservationStatus: Scalars['Boolean'];
    deletePropertyReview: Scalars['Boolean'];
    deletePropertyService: Scalars['Boolean'];
    deletePropertyStatus: Scalars['Boolean'];
    deletePropertyType: Scalars['Boolean'];
    deletePropertyUser: Scalars['Boolean'];
    deleteUserPropertyLike: Scalars['Boolean'];
    dummy?: Maybe<Scalars['Int']>;
    /**  sync cached counter with current value  */
    syncCachedCounter?: Maybe<Scalars['Boolean']>;
    /** Update an existing listed Property */
    updateProperty: Property;
    updatePropertyCity: PropertyCity;
    updatePropertyComment: PropertyComment;
    updatePropertyCommentReply: PropertyCommentReply;
    updatePropertyCountry: PropertyCountry;
    updatePropertyImage: PropertyImage;
    updatePropertyOwner: PropertyOwner;
    updatePropertyPaymentStatus: PropertyPaymentStatus;
    updatePropertyReservation: PropertyReservation;
    updatePropertyReservationStatus: PropertyReservation;
    updatePropertyReview: PropertyReview;
    updatePropertyService: PropertyService;
    updatePropertyStatus: PropertyStatus;
    updatePropertyType: PropertyType;
    updatePropertyUser: PropertyUser;
};
export declare type MutationAddCounterArgs = {
    amount?: Maybe<Scalars['Int']>;
};
export declare type MutationAddCounterStateArgs = {
    amount: Scalars['Int'];
};
export declare type MutationAddMoleculerCounterArgs = {
    amount?: Maybe<Scalars['Int']>;
};
export declare type MutationCreatePropertyArgs = {
    property: PropertyInput;
};
export declare type MutationCreatePropertyCityArgs = {
    propertyCity: PropertyCityInput;
};
export declare type MutationCreatePropertyCommentArgs = {
    propertyComment: PropertyCommentInput;
};
export declare type MutationCreatePropertyCommentReplyArgs = {
    propertyCommentReply: PropertyCommentReplyInput;
};
export declare type MutationCreatePropertyCountryArgs = {
    propertyCountry: PropertyCountryInput;
};
export declare type MutationCreatePropertyImageArgs = {
    propertyImage: PropertyImageInput;
};
export declare type MutationCreatePropertyOwnerArgs = {
    propertyOwner: PropertyOwnerInput;
};
export declare type MutationCreatePropertyPaymentStatusArgs = {
    propertyPaymentStatus: PropertyPaymentStatusInput;
};
export declare type MutationCreatePropertyReservationArgs = {
    propertyReservation: PropertyReservationInput;
};
export declare type MutationCreatePropertyReservationStatusArgs = {
    propertyReservation: PropertyReservationInput;
};
export declare type MutationCreatePropertyReviewArgs = {
    propertyReview: PropertyReviewInput;
};
export declare type MutationCreatePropertyServiceArgs = {
    propertyService: PropertyServiceInput;
};
export declare type MutationCreatePropertyStatusArgs = {
    propertyStatus: PropertyStatusInput;
};
export declare type MutationCreatePropertyTypeArgs = {
    propertyType: PropertyTypeInput;
};
export declare type MutationCreatePropertyUserArgs = {
    propertyUser: PropertyUserInput;
};
export declare type MutationCreateUserPropertyLikeArgs = {
    userPropertyLike: UserPropertyLikeInput;
};
export declare type MutationDeletePropertyArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyCityArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyCommentArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyCommentReplyArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyCountryArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyImageArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyOwnerArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyPaymentStatusArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyReservationArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyReservationStatusArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyReviewArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyServiceArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyStatusArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyTypeArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeletePropertyUserArgs = {
    id: Scalars['ID'];
};
export declare type MutationDeleteUserPropertyLikeArgs = {
    id: Scalars['ID'];
};
export declare type MutationUpdatePropertyArgs = {
    id: Scalars['ID'];
    propertys: PropertyUpdateInput;
};
export declare type MutationUpdatePropertyCityArgs = {
    id: Scalars['ID'];
    propertyCity: PropertyCityUpdateInput;
};
export declare type MutationUpdatePropertyCommentArgs = {
    id: Scalars['ID'];
    propertyComment: PropertyCommentInput;
};
export declare type MutationUpdatePropertyCommentReplyArgs = {
    id: Scalars['ID'];
    propertyCommentReply: PropertyCommentReplyInput;
};
export declare type MutationUpdatePropertyCountryArgs = {
    id: Scalars['ID'];
    propertyCountry: PropertyCountryInput;
};
export declare type MutationUpdatePropertyImageArgs = {
    id: Scalars['ID'];
    propertyImage: PropertyImageUpdateInput;
};
export declare type MutationUpdatePropertyOwnerArgs = {
    id: Scalars['ID'];
    propertyOwner: PropertyOwnerUpdateInput;
};
export declare type MutationUpdatePropertyPaymentStatusArgs = {
    id: Scalars['ID'];
    propertyPaymentStatus: PropertyPaymentStatusInput;
};
export declare type MutationUpdatePropertyReservationArgs = {
    id: Scalars['ID'];
    propertyReservation: PropertyReservationUpdateInput;
};
export declare type MutationUpdatePropertyReservationStatusArgs = {
    id: Scalars['ID'];
    propertyReservation: PropertyReservationInput;
};
export declare type MutationUpdatePropertyReviewArgs = {
    id: Scalars['ID'];
    propertyReview: PropertyReviewUpdateInput;
};
export declare type MutationUpdatePropertyServiceArgs = {
    id: Scalars['ID'];
    propertyService: PropertyServiceInput;
};
export declare type MutationUpdatePropertyStatusArgs = {
    id: Scalars['ID'];
    propertyStatus: PropertyStatusInput;
};
export declare type MutationUpdatePropertyTypeArgs = {
    id: Scalars['ID'];
    propertyType: PropertyTypeInput;
};
export declare type MutationUpdatePropertyUserArgs = {
    id: Scalars['ID'];
    propertyUser: PropertyUserInput;
};
export declare enum PaymentStatusEnum {
    Pending = "PENDING",
    Paid = "PAID"
}
export declare type Properties = {
    __typename?: 'Properties';
    /** Total Number of Proeprties available */
    totalCount: Scalars['Int'];
    /** List of proeprties requested */
    data: Array<Maybe<Property>>;
};
export declare type Property = {
    __typename?: 'Property';
    id: Scalars['ID'];
    name: Scalars['String'];
    description?: Maybe<Scalars['String']>;
    introduction?: Maybe<Scalars['String']>;
    maxPeople: Scalars['Int'];
    thumbnailUrl?: Maybe<Scalars['String']>;
    type: PropertyType;
    status?: Maybe<PropertyStatus>;
    totalReview?: Maybe<Scalars['Float']>;
    totalStar?: Maybe<Scalars['Int']>;
    pricePerNight?: Maybe<Scalars['Int']>;
    serviceFee?: Maybe<Scalars['Int']>;
    cleaningFee?: Maybe<Scalars['Int']>;
    owner: PropertyOwnerWithoutProperty;
    address: PropertyAddress;
    service: PropertyServiceWithoutProperty;
    comments: PropertyComments;
    reviews: PropertyReviews;
    images: PropertyImages;
    reservations: PropertyReservations;
    userLikes: UserPropertyLikes;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyCommentsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyReviewsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyImagesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyReservationsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyUserLikesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyAddress = {
    __typename?: 'PropertyAddress';
    city: PropertyCity;
    streetName: Scalars['String'];
    number?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyAddressInput = {
    city: Scalars['String'];
    streetName: Scalars['String'];
    number?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
};
export declare type PropertyAddressUpdateInput = {
    city: Scalars['String'];
    streetName: Scalars['String'];
    number?: Maybe<Scalars['Int']>;
    description?: Maybe<Scalars['String']>;
};
export declare type PropertyCities = {
    __typename?: 'PropertyCities';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyCity>>>;
};
export declare type PropertyCity = {
    __typename?: 'PropertyCity';
    id: Scalars['ID'];
    name: Scalars['String'];
    country: PropertyCountry;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyCityInput = {
    /** Name of the country to display */
    name: Scalars['String'];
    /** ID of Country to associate */
    country: Scalars['String'];
};
export declare type PropertyCityUpdateInput = {
    name?: Maybe<Scalars['String']>;
    country: Scalars['String'];
};
export declare type PropertyComment = {
    __typename?: 'PropertyComment';
    id: Scalars['ID'];
    user: PropertyUser;
    comment: Scalars['String'];
    replies?: Maybe<PropertyComments>;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyCommentRepliesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyCommentInput = {
    property: Scalars['ID'];
    user: Scalars['String'];
    comment: Scalars['String'];
};
export declare type PropertyCommentReplies = {
    __typename?: 'PropertyCommentReplies';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyCommentReply>>>;
};
export declare type PropertyCommentReply = {
    __typename?: 'PropertyCommentReply';
    id: Scalars['ID'];
    replyToComment: PropertyComment;
    comment?: Maybe<PropertyComment>;
};
export declare type PropertyCommentReplyInput = {
    replyToComment: Scalars['String'];
    comment?: Maybe<PropertyCommentInput>;
};
export declare type PropertyCommentReplyUpdateInput = {
    comment?: Maybe<PropertyCommentUpdateInput>;
};
export declare type PropertyComments = {
    __typename?: 'PropertyComments';
    data: Array<Maybe<PropertyComment>>;
    totalCount: Scalars['Int'];
};
export declare type PropertyCommentUpdateInput = {
    comment: Scalars['String'];
};
export declare type PropertyCountries = {
    __typename?: 'PropertyCountries';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyCountry>>>;
};
export declare type PropertyCountry = {
    __typename?: 'PropertyCountry';
    id: Scalars['ID'];
    name: Scalars['String'];
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyCountryInput = {
    name: Scalars['String'];
};
export declare type PropertyImage = {
    __typename?: 'PropertyImage';
    id: Scalars['ID'];
    url: Scalars['String'];
    property: Property;
    alt?: Maybe<Scalars['String']>;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyImageInput = {
    url: Scalars['String'];
    property: Scalars['String'];
    alt?: Maybe<Scalars['String']>;
};
export declare type PropertyImages = {
    __typename?: 'PropertyImages';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyImage>>>;
};
export declare type PropertyImageUpdateInput = {
    alt?: Maybe<Scalars['String']>;
};
export declare type PropertyInput = {
    name: Scalars['String'];
    description?: Maybe<Scalars['String']>;
    introduction?: Maybe<Scalars['String']>;
    maxPeople: Scalars['Int'];
    thumbnailUrl?: Maybe<Scalars['String']>;
    /** IDof Property Type to associate */
    type: Scalars['String'];
    /** ID of Property Statuc to associate */
    status: Scalars['String'];
    totalReview?: Maybe<Scalars['Float']>;
    totalStar?: Maybe<Scalars['Int']>;
    pricePerNight?: Maybe<Scalars['Float']>;
    serviceFee?: Maybe<Scalars['Float']>;
    cleaningFee?: Maybe<Scalars['Float']>;
    /** ID of Owner to associate */
    owner: Scalars['String'];
    /** Address Of Property */
    address: PropertyAddressInput;
};
export declare type PropertyOwner = {
    __typename?: 'PropertyOwner';
    id: Scalars['ID'];
    passportNumber: Scalars['String'];
    properties?: Maybe<Properties>;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyOwnerPropertiesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyOwnerInput = {
    passportNumber: Scalars['String'];
};
export declare type PropertyOwners = {
    __typename?: 'PropertyOwners';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyOwner>>>;
};
export declare type PropertyOwnerUpdateInput = {
    passportNumber: Scalars['String'];
};
export declare type PropertyOwnerWithoutProperty = {
    __typename?: 'PropertyOwnerWithoutProperty';
    id: Scalars['ID'];
    passportNumber: Scalars['String'];
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyPaymentStatus = {
    __typename?: 'PropertyPaymentStatus';
    id: Scalars['ID'];
    status: PaymentStatusEnum;
    reservations?: Maybe<PropertyReservations>;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyPaymentStatusReservationsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyPaymentStatuses = {
    __typename?: 'PropertyPaymentStatuses';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyPaymentStatus>>>;
};
export declare type PropertyPaymentStatusInput = {
    status: PaymentStatusEnum;
    reservations?: Maybe<Array<Scalars['String']>>;
};
export declare type PropertyReservation = {
    __typename?: 'PropertyReservation';
    id: Scalars['ID'];
    user: PropertyUser;
    from: Scalars['Date'];
    to: Scalars['Date'];
    adults: Scalars['Int'];
    children?: Maybe<Scalars['Int']>;
    infants?: Maybe<Scalars['Int']>;
    totalCost: Scalars['Float'];
    reservationStatus: PropertyReservationStatus;
    paymentStatus: PropertyPaymentStatus;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyReservationInput = {
    property: Scalars['String'];
    user: Scalars['String'];
    from: Scalars['Date'];
    to: Scalars['Date'];
    adults: Scalars['Int'];
    children?: Maybe<Scalars['Int']>;
    infants?: Maybe<Scalars['Int']>;
    totalCost: Scalars['Float'];
    reservationStatus: Scalars['String'];
    paymentStatus: Scalars['String'];
};
export declare type PropertyReservations = {
    __typename?: 'PropertyReservations';
    data: Array<Maybe<PropertyReservation>>;
    totalCount: Scalars['Int'];
};
export declare type PropertyReservationStatus = {
    __typename?: 'PropertyReservationStatus';
    id?: Maybe<Scalars['ID']>;
    status: ReservationStatusEnum;
    reservations?: Maybe<PropertyReservations>;
};
export declare type PropertyReservationStatusReservationsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyReservationStatuses = {
    __typename?: 'PropertyReservationStatuses';
    data: Array<Maybe<PropertyReservationStatus>>;
    totalCount: Scalars['Int'];
};
export declare type PropertyReservationStatusInput = {
    status: ReservationStatusEnum;
    reservations?: Maybe<Array<Scalars['String']>>;
};
export declare type PropertyReservationUpdateInput = {
    from: Scalars['Date'];
    to: Scalars['Date'];
    adults: Scalars['Int'];
    children?: Maybe<Scalars['Int']>;
    infants?: Maybe<Scalars['Int']>;
    totalCost: Scalars['Float'];
    reservationStatus: Scalars['String'];
    paymentStatus: Scalars['String'];
};
export declare type PropertyReview = {
    __typename?: 'PropertyReview';
    id: Scalars['ID'];
    user: PropertyUser;
    reservation: PropertyReservation;
    star: Scalars['Int'];
    reviewComment: Scalars['String'];
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyReviewInput = {
    user: Scalars['String'];
    property: Scalars['String'];
    reservation: Scalars['String'];
    star: Scalars['Int'];
    reviewComment?: Maybe<Scalars['String']>;
};
export declare type PropertyReviews = {
    __typename?: 'PropertyReviews';
    data: Array<Maybe<PropertyReview>>;
    totalCount: Scalars['Int'];
};
export declare type PropertyReviewUpdateInput = {
    star?: Maybe<Scalars['Int']>;
    reviewComment?: Maybe<Scalars['String']>;
};
export declare type PropertyService = {
    __typename?: 'PropertyService';
    id: Scalars['ID'];
    wifii?: Maybe<Scalars['Boolean']>;
    kitchen?: Maybe<Scalars['Boolean']>;
    breakfast?: Maybe<Scalars['Boolean']>;
    petAllowed?: Maybe<Scalars['Boolean']>;
    freeParking?: Maybe<Scalars['Boolean']>;
    property: Property;
};
export declare type PropertyServiceInput = {
    wifii?: Maybe<Scalars['Boolean']>;
    kitchen?: Maybe<Scalars['Boolean']>;
    breakfast?: Maybe<Scalars['Boolean']>;
    petAllowed?: Maybe<Scalars['Boolean']>;
    freeParking?: Maybe<Scalars['Boolean']>;
    property_Input: Scalars['String'];
};
export declare type PropertyServices = {
    __typename?: 'PropertyServices';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyService>>>;
};
export declare type PropertyServiceWithoutProperty = {
    __typename?: 'PropertyServiceWithoutProperty';
    id: Scalars['ID'];
    wifii?: Maybe<Scalars['Boolean']>;
    kitchen?: Maybe<Scalars['Boolean']>;
    breakfast?: Maybe<Scalars['Boolean']>;
    petAllowed?: Maybe<Scalars['Boolean']>;
    freeParking?: Maybe<Scalars['Boolean']>;
    property: Property;
};
export declare type PropertyStatus = {
    __typename?: 'PropertyStatus';
    id: Scalars['ID'];
    status: PropertyStatusEnum;
    properties?: Maybe<Properties>;
};
export declare type PropertyStatusPropertiesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare enum PropertyStatusEnum {
    Open = "OPEN",
    Closed = "CLOSED",
    TemporaryClosed = "TEMPORARY_CLOSED",
    PermanentlyClosed = "PERMANENTLY_CLOSED"
}
export declare type PropertyStatuses = {
    __typename?: 'PropertyStatuses';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyStatus>>>;
};
export declare type PropertyStatusInput = {
    status: PropertyStatusEnum;
};
export declare type PropertyType = {
    __typename?: 'PropertyType';
    id: Scalars['ID'];
    type: PropertyTypeEnum;
    thumbnailUrl: Scalars['String'];
    description?: Maybe<Scalars['String']>;
    properties?: Maybe<Properties>;
};
export declare type PropertyTypePropertiesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare enum PropertyTypeEnum {
    Apartment = "APARTMENT",
    GuestHouse = "GUEST_HOUSE",
    Hotel = "HOTEL"
}
export declare type PropertyTypeInput = {
    type: PropertyTypeEnum;
    thumbnailUrl: Scalars['String'];
    description?: Maybe<Scalars['String']>;
};
export declare type PropertyTypes = {
    __typename?: 'PropertyTypes';
    totalCount: Scalars['Int'];
    data?: Maybe<Array<Maybe<PropertyType>>>;
};
export declare type PropertyUpdateInput = {
    name?: Maybe<Scalars['String']>;
    description?: Maybe<Scalars['String']>;
    introduction?: Maybe<Scalars['String']>;
    maxPeople?: Maybe<Scalars['Int']>;
    thumbnailUrl?: Maybe<Scalars['String']>;
    type?: Maybe<Scalars['String']>;
    status?: Maybe<Scalars['String']>;
    totalReview?: Maybe<Scalars['Float']>;
    totalStar?: Maybe<Scalars['Int']>;
    pricePerNight?: Maybe<Scalars['Float']>;
    serviceFee?: Maybe<Scalars['Float']>;
    cleaningFee?: Maybe<Scalars['Float']>;
    owner?: Maybe<Scalars['String']>;
    address?: Maybe<PropertyAddressUpdateInput>;
};
export declare type PropertyUser = {
    __typename?: 'PropertyUser';
    id: Scalars['ID'];
    name: Scalars['String'];
    phoneNumber: Scalars['String'];
    profileImageUrl: Scalars['String'];
    comments?: Maybe<PropertyComments>;
    reviews?: Maybe<PropertyReviews>;
    propertyLikes?: Maybe<UserPropertyLikes>;
    reservations?: Maybe<PropertyUsers>;
    createdAt: Scalars['Date'];
    updatedAt?: Maybe<Scalars['Date']>;
};
export declare type PropertyUserCommentsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyUserReviewsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyUserPropertyLikesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyUserReservationsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type PropertyUserInput = {
    name: Scalars['String'];
    phoneNumber: Scalars['String'];
    profileImageUrl: Scalars['String'];
};
export declare type PropertyUsers = {
    __typename?: 'PropertyUsers';
    data: Array<Maybe<PropertyUser>>;
    totalCount: Scalars['Int'];
};
export declare type Query = {
    __typename?: 'Query';
    PropertyPaymentStatus: PropertyPaymentStatus;
    /**  Counter  */
    counter?: Maybe<Counter>;
    /**  Counter from Datasource  */
    counterCache?: Maybe<Counter>;
    counterState?: Maybe<ClientCounter>;
    dummy?: Maybe<Scalars['Int']>;
    /**  Moleculer Counter  */
    moleculerCounter?: Maybe<Counter>;
    /** Fetch all the proeprties currrently listed */
    properties: Properties;
    /** Fetch a single proeprty */
    property: Property;
    propertyCities: PropertyCities;
    propertyCity: PropertyCity;
    propertyComment: PropertyComment;
    propertyCommentReplies: PropertyCommentReplies;
    propertyCommentReply: PropertyCommentReply;
    propertyComments: PropertyComments;
    propertyCountries: PropertyCountries;
    propertyCountry: PropertyCountry;
    propertyImage: PropertyImage;
    propertyImages: PropertyImages;
    propertyOwner: PropertyOwner;
    propertyOwners: PropertyOwners;
    propertyPaymentStatuses: PropertyPaymentStatuses;
    propertyReservation: PropertyReservation;
    propertyReservationStatus: PropertyReservation;
    propertyReservationStatuses: PropertyReservations;
    propertyReservations: PropertyReservations;
    propertyReview: PropertyReview;
    propertyReviews: PropertyReviews;
    propertyService: PropertyService;
    propertyServices: PropertyServices;
    propertyStatus: PropertyStatus;
    propertyStatuses: PropertyStatuses;
    propertyType: PropertyType;
    propertyTypes: PropertyTypes;
    propertyUser: PropertyUser;
    propertyUsers: PropertyUsers;
    userPropertyLike: UserPropertyLike;
    userPropertyLikes: UserPropertyLikes;
};
export declare type QueryPropertyPaymentStatusArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertiesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyCitiesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyCityArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyCommentArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyCommentRepliesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyCommentReplyArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyCommentsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyCountriesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyCountryArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyImageArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyImagesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyOwnerArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyOwnersArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyPaymentStatusesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyReservationArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyReservationStatusArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyReservationStatusesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyReservationsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyReviewArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyReviewsArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyServiceArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyServicesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyStatusArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyStatusesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyTypeArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyTypesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryPropertyUserArgs = {
    id: Scalars['ID'];
};
export declare type QueryPropertyUsersArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare type QueryUserPropertyLikeArgs = {
    id: Scalars['ID'];
};
export declare type QueryUserPropertyLikesArgs = {
    criteria?: Maybe<Criteria>;
    limit?: Maybe<Scalars['Int']>;
    skip?: Maybe<Scalars['Int']>;
    sort?: Maybe<Sort>;
};
export declare enum ReservationStatusEnum {
    Pending = "PENDING",
    Confirmed = "CONFIRMED"
}
export declare type Sort = {
    id?: Maybe<SortEnum>;
    name?: Maybe<SortEnum>;
};
export declare enum SortEnum {
    Asc = "ASC",
    Desc = "DESC"
}
export declare type Subscription = {
    __typename?: 'Subscription';
    /**  Subscription fired when anyone increases counter  */
    counterUpdated?: Maybe<Counter>;
    dummy?: Maybe<Scalars['Int']>;
    moleculerCounterUpdate?: Maybe<Counter>;
};
export declare type UserPropertyLike = {
    __typename?: 'UserPropertyLike';
    id: Scalars['ID'];
    user: PropertyUser;
};
export declare type UserPropertyLikeInput = {
    user: Scalars['String'];
};
export declare type UserPropertyLikes = {
    __typename?: 'UserPropertyLikes';
    data: Array<Maybe<UserPropertyLike>>;
    totalCount: Scalars['Int'];
};
export declare type AddCounterStateMutationVariables = {
    amount: Scalars['Int'];
};
export declare type AddCounterStateMutation = ({
    __typename?: 'Mutation';
} & {
    addCounterState?: Maybe<({
        __typename?: 'ClientCounter';
    } & Pick<ClientCounter, 'counter'>)>;
});
export declare type AddCounterMutationVariables = {
    amount: Scalars['Int'];
};
export declare type AddCounterMutation = ({
    __typename?: 'Mutation';
} & {
    addCounter?: Maybe<({
        __typename?: 'Counter';
    } & Pick<Counter, 'amount'>)>;
});
export declare type AddCounter_WsMutationVariables = {
    amount: Scalars['Int'];
};
export declare type AddCounter_WsMutation = ({
    __typename?: 'Mutation';
} & {
    addCounter?: Maybe<({
        __typename?: 'Counter';
    } & Pick<Counter, 'amount'>)>;
});
export declare type SyncCachedCounterMutationVariables = {};
export declare type SyncCachedCounterMutation = ({
    __typename?: 'Mutation';
} & Pick<Mutation, 'syncCachedCounter'>);
export declare type CounterCacheQueryQueryVariables = {};
export declare type CounterCacheQueryQuery = ({
    __typename?: 'Query';
} & {
    counterCache?: Maybe<({
        __typename?: 'Counter';
    } & Pick<Counter, 'amount'>)>;
});
export declare type CounterStateQueryVariables = {};
export declare type CounterStateQuery = ({
    __typename?: 'Query';
} & {
    counterState?: Maybe<({
        __typename?: 'ClientCounter';
    } & Pick<ClientCounter, 'counter'>)>;
});
export declare type CounterQueryQueryVariables = {};
export declare type CounterQueryQuery = ({
    __typename?: 'Query';
} & {
    counter?: Maybe<({
        __typename?: 'Counter';
    } & Pick<Counter, 'amount'>)>;
});
export declare type OnCounterUpdatedSubscriptionVariables = {};
export declare type OnCounterUpdatedSubscription = ({
    __typename?: 'Subscription';
} & {
    counterUpdated?: Maybe<({
        __typename?: 'Counter';
    } & Pick<Counter, 'amount'>)>;
});
export declare type ResolverTypeWrapper<T> = Promise<T> | T;
export declare type StitchingResolver<TResult, TParent, TContext, TArgs> = {
    fragment: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type Resolver<TResult, TParent = {}, TContext = {}, TArgs = {}> = ResolverFn<TResult, TParent, TContext, TArgs> | StitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type ResolverFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => Promise<TResult> | TResult;
export declare type SubscriptionSubscribeFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => AsyncIterator<TResult> | Promise<AsyncIterator<TResult>>;
export declare type SubscriptionResolveFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export interface SubscriptionSubscriberObject<TResult, TKey extends string, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<{
        [key in TKey]: TResult;
    }, TParent, TContext, TArgs>;
    resolve?: SubscriptionResolveFn<TResult, {
        [key in TKey]: TResult;
    }, TContext, TArgs>;
}
export interface SubscriptionResolverObject<TResult, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<any, TParent, TContext, TArgs>;
    resolve: SubscriptionResolveFn<TResult, any, TContext, TArgs>;
}
export declare type SubscriptionObject<TResult, TKey extends string, TParent, TContext, TArgs> = SubscriptionSubscriberObject<TResult, TKey, TParent, TContext, TArgs> | SubscriptionResolverObject<TResult, TParent, TContext, TArgs>;
export declare type SubscriptionResolver<TResult, TKey extends string, TParent = {}, TContext = {}, TArgs = {}> = ((...args: any[]) => SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>) | SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>;
export declare type TypeResolveFn<TTypes, TParent = {}, TContext = {}> = (parent: TParent, context: TContext, info: GraphQLResolveInfo) => Maybe<TTypes> | Promise<Maybe<TTypes>>;
export declare type isTypeOfResolverFn<T = {}> = (obj: T, info: GraphQLResolveInfo) => boolean | Promise<boolean>;
export declare type NextResolverFn<T> = () => Promise<T>;
export declare type DirectiveResolverFn<TResult = {}, TParent = {}, TContext = {}, TArgs = {}> = (next: NextResolverFn<TResult>, parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
/** Mapping between all available schema types and the resolvers types */
export declare type ResolversTypes = {
    Query: ResolverTypeWrapper<{}>;
    ID: ResolverTypeWrapper<Scalars['ID']>;
    PropertyPaymentStatus: ResolverTypeWrapper<PropertyPaymentStatus>;
    PaymentStatusEnum: PaymentStatusEnum;
    Criteria: Criteria;
    String: ResolverTypeWrapper<Scalars['String']>;
    Int: ResolverTypeWrapper<Scalars['Int']>;
    Sort: Sort;
    SortEnum: SortEnum;
    PropertyReservations: ResolverTypeWrapper<PropertyReservations>;
    PropertyReservation: ResolverTypeWrapper<PropertyReservation>;
    PropertyUser: ResolverTypeWrapper<PropertyUser>;
    PropertyComments: ResolverTypeWrapper<PropertyComments>;
    PropertyComment: ResolverTypeWrapper<PropertyComment>;
    Date: ResolverTypeWrapper<Scalars['Date']>;
    PropertyReviews: ResolverTypeWrapper<PropertyReviews>;
    PropertyReview: ResolverTypeWrapper<PropertyReview>;
    UserPropertyLikes: ResolverTypeWrapper<UserPropertyLikes>;
    UserPropertyLike: ResolverTypeWrapper<UserPropertyLike>;
    PropertyUsers: ResolverTypeWrapper<PropertyUsers>;
    Float: ResolverTypeWrapper<Scalars['Float']>;
    PropertyReservationStatus: ResolverTypeWrapper<PropertyReservationStatus>;
    ReservationStatusEnum: ReservationStatusEnum;
    Counter: ResolverTypeWrapper<Counter>;
    ClientCounter: ResolverTypeWrapper<ClientCounter>;
    Properties: ResolverTypeWrapper<Properties>;
    Property: ResolverTypeWrapper<Property>;
    PropertyType: ResolverTypeWrapper<PropertyType>;
    PropertyTypeEnum: PropertyTypeEnum;
    PropertyStatus: ResolverTypeWrapper<PropertyStatus>;
    PropertyStatusEnum: PropertyStatusEnum;
    PropertyOwnerWithoutProperty: ResolverTypeWrapper<PropertyOwnerWithoutProperty>;
    PropertyAddress: ResolverTypeWrapper<PropertyAddress>;
    PropertyCity: ResolverTypeWrapper<PropertyCity>;
    PropertyCountry: ResolverTypeWrapper<PropertyCountry>;
    PropertyServiceWithoutProperty: ResolverTypeWrapper<PropertyServiceWithoutProperty>;
    Boolean: ResolverTypeWrapper<Scalars['Boolean']>;
    PropertyImages: ResolverTypeWrapper<PropertyImages>;
    PropertyImage: ResolverTypeWrapper<PropertyImage>;
    PropertyCities: ResolverTypeWrapper<PropertyCities>;
    PropertyCommentReplies: ResolverTypeWrapper<PropertyCommentReplies>;
    PropertyCommentReply: ResolverTypeWrapper<PropertyCommentReply>;
    PropertyCountries: ResolverTypeWrapper<PropertyCountries>;
    PropertyOwner: ResolverTypeWrapper<PropertyOwner>;
    PropertyOwners: ResolverTypeWrapper<PropertyOwners>;
    PropertyPaymentStatuses: ResolverTypeWrapper<PropertyPaymentStatuses>;
    PropertyService: ResolverTypeWrapper<PropertyService>;
    PropertyServices: ResolverTypeWrapper<PropertyServices>;
    PropertyStatuses: ResolverTypeWrapper<PropertyStatuses>;
    PropertyTypes: ResolverTypeWrapper<PropertyTypes>;
    Mutation: ResolverTypeWrapper<{}>;
    PropertyInput: PropertyInput;
    PropertyAddressInput: PropertyAddressInput;
    PropertyCityInput: PropertyCityInput;
    PropertyCommentInput: PropertyCommentInput;
    PropertyCommentReplyInput: PropertyCommentReplyInput;
    PropertyCountryInput: PropertyCountryInput;
    PropertyImageInput: PropertyImageInput;
    PropertyOwnerInput: PropertyOwnerInput;
    PropertyPaymentStatusInput: PropertyPaymentStatusInput;
    PropertyReservationInput: PropertyReservationInput;
    PropertyReviewInput: PropertyReviewInput;
    PropertyServiceInput: PropertyServiceInput;
    PropertyStatusInput: PropertyStatusInput;
    PropertyTypeInput: PropertyTypeInput;
    PropertyUserInput: PropertyUserInput;
    UserPropertyLikeInput: UserPropertyLikeInput;
    PropertyUpdateInput: PropertyUpdateInput;
    PropertyAddressUpdateInput: PropertyAddressUpdateInput;
    PropertyCityUpdateInput: PropertyCityUpdateInput;
    PropertyImageUpdateInput: PropertyImageUpdateInput;
    PropertyOwnerUpdateInput: PropertyOwnerUpdateInput;
    PropertyReservationUpdateInput: PropertyReservationUpdateInput;
    PropertyReviewUpdateInput: PropertyReviewUpdateInput;
    Subscription: ResolverTypeWrapper<{}>;
    AnyObject: ResolverTypeWrapper<Scalars['AnyObject']>;
    JSON: ResolverTypeWrapper<Scalars['JSON']>;
    JSONObject: ResolverTypeWrapper<Scalars['JSONObject']>;
    FieldError: ResolverTypeWrapper<FieldError>;
    Time: ResolverTypeWrapper<Scalars['Time']>;
    DateTime: ResolverTypeWrapper<Scalars['DateTime']>;
    PropertyCommentUpdateInput: PropertyCommentUpdateInput;
    PropertyCommentReplyUpdateInput: PropertyCommentReplyUpdateInput;
    PropertyReservationStatusInput: PropertyReservationStatusInput;
    PropertyReservationStatuses: ResolverTypeWrapper<PropertyReservationStatuses>;
};
/** Mapping between all available schema types and the resolvers parents */
export declare type ResolversParentTypes = {
    Query: {};
    ID: Scalars['ID'];
    PropertyPaymentStatus: PropertyPaymentStatus;
    PaymentStatusEnum: PaymentStatusEnum;
    Criteria: Criteria;
    String: Scalars['String'];
    Int: Scalars['Int'];
    Sort: Sort;
    SortEnum: SortEnum;
    PropertyReservations: PropertyReservations;
    PropertyReservation: PropertyReservation;
    PropertyUser: PropertyUser;
    PropertyComments: PropertyComments;
    PropertyComment: PropertyComment;
    Date: Scalars['Date'];
    PropertyReviews: PropertyReviews;
    PropertyReview: PropertyReview;
    UserPropertyLikes: UserPropertyLikes;
    UserPropertyLike: UserPropertyLike;
    PropertyUsers: PropertyUsers;
    Float: Scalars['Float'];
    PropertyReservationStatus: PropertyReservationStatus;
    ReservationStatusEnum: ReservationStatusEnum;
    Counter: Counter;
    ClientCounter: ClientCounter;
    Properties: Properties;
    Property: Property;
    PropertyType: PropertyType;
    PropertyTypeEnum: PropertyTypeEnum;
    PropertyStatus: PropertyStatus;
    PropertyStatusEnum: PropertyStatusEnum;
    PropertyOwnerWithoutProperty: PropertyOwnerWithoutProperty;
    PropertyAddress: PropertyAddress;
    PropertyCity: PropertyCity;
    PropertyCountry: PropertyCountry;
    PropertyServiceWithoutProperty: PropertyServiceWithoutProperty;
    Boolean: Scalars['Boolean'];
    PropertyImages: PropertyImages;
    PropertyImage: PropertyImage;
    PropertyCities: PropertyCities;
    PropertyCommentReplies: PropertyCommentReplies;
    PropertyCommentReply: PropertyCommentReply;
    PropertyCountries: PropertyCountries;
    PropertyOwner: PropertyOwner;
    PropertyOwners: PropertyOwners;
    PropertyPaymentStatuses: PropertyPaymentStatuses;
    PropertyService: PropertyService;
    PropertyServices: PropertyServices;
    PropertyStatuses: PropertyStatuses;
    PropertyTypes: PropertyTypes;
    Mutation: {};
    PropertyInput: PropertyInput;
    PropertyAddressInput: PropertyAddressInput;
    PropertyCityInput: PropertyCityInput;
    PropertyCommentInput: PropertyCommentInput;
    PropertyCommentReplyInput: PropertyCommentReplyInput;
    PropertyCountryInput: PropertyCountryInput;
    PropertyImageInput: PropertyImageInput;
    PropertyOwnerInput: PropertyOwnerInput;
    PropertyPaymentStatusInput: PropertyPaymentStatusInput;
    PropertyReservationInput: PropertyReservationInput;
    PropertyReviewInput: PropertyReviewInput;
    PropertyServiceInput: PropertyServiceInput;
    PropertyStatusInput: PropertyStatusInput;
    PropertyTypeInput: PropertyTypeInput;
    PropertyUserInput: PropertyUserInput;
    UserPropertyLikeInput: UserPropertyLikeInput;
    PropertyUpdateInput: PropertyUpdateInput;
    PropertyAddressUpdateInput: PropertyAddressUpdateInput;
    PropertyCityUpdateInput: PropertyCityUpdateInput;
    PropertyImageUpdateInput: PropertyImageUpdateInput;
    PropertyOwnerUpdateInput: PropertyOwnerUpdateInput;
    PropertyReservationUpdateInput: PropertyReservationUpdateInput;
    PropertyReviewUpdateInput: PropertyReviewUpdateInput;
    Subscription: {};
    AnyObject: Scalars['AnyObject'];
    JSON: Scalars['JSON'];
    JSONObject: Scalars['JSONObject'];
    FieldError: FieldError;
    Time: Scalars['Time'];
    DateTime: Scalars['DateTime'];
    PropertyCommentUpdateInput: PropertyCommentUpdateInput;
    PropertyCommentReplyUpdateInput: PropertyCommentReplyUpdateInput;
    PropertyReservationStatusInput: PropertyReservationStatusInput;
    PropertyReservationStatuses: PropertyReservationStatuses;
};
export interface AnyObjectScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['AnyObject'], any> {
    name: 'AnyObject';
}
export declare type ClientCounterResolvers<ContextType = any, ParentType extends ResolversParentTypes['ClientCounter'] = ResolversParentTypes['ClientCounter']> = {
    counter?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type CounterResolvers<ContextType = any, ParentType extends ResolversParentTypes['Counter'] = ResolversParentTypes['Counter']> = {
    amount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export interface DateScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Date'], any> {
    name: 'Date';
}
export interface DateTimeScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['DateTime'], any> {
    name: 'DateTime';
}
export declare type FieldErrorResolvers<ContextType = any, ParentType extends ResolversParentTypes['FieldError'] = ResolversParentTypes['FieldError']> = {
    field?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    message?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export interface JsonScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['JSON'], any> {
    name: 'JSON';
}
export interface JsonObjectScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['JSONObject'], any> {
    name: 'JSONObject';
}
export declare type MutationResolvers<ContextType = any, ParentType extends ResolversParentTypes['Mutation'] = ResolversParentTypes['Mutation']> = {
    addCounter?: Resolver<Maybe<ResolversTypes['Counter']>, ParentType, ContextType, RequireFields<MutationAddCounterArgs, never>>;
    addCounterState?: Resolver<Maybe<ResolversTypes['ClientCounter']>, ParentType, ContextType, RequireFields<MutationAddCounterStateArgs, 'amount'>>;
    addMoleculerCounter?: Resolver<Maybe<ResolversTypes['Counter']>, ParentType, ContextType, RequireFields<MutationAddMoleculerCounterArgs, never>>;
    createProperty?: Resolver<ResolversTypes['Property'], ParentType, ContextType, RequireFields<MutationCreatePropertyArgs, 'property'>>;
    createPropertyCity?: Resolver<ResolversTypes['PropertyCity'], ParentType, ContextType, RequireFields<MutationCreatePropertyCityArgs, 'propertyCity'>>;
    createPropertyComment?: Resolver<ResolversTypes['PropertyComment'], ParentType, ContextType, RequireFields<MutationCreatePropertyCommentArgs, 'propertyComment'>>;
    createPropertyCommentReply?: Resolver<ResolversTypes['PropertyCommentReply'], ParentType, ContextType, RequireFields<MutationCreatePropertyCommentReplyArgs, 'propertyCommentReply'>>;
    createPropertyCountry?: Resolver<ResolversTypes['PropertyCountry'], ParentType, ContextType, RequireFields<MutationCreatePropertyCountryArgs, 'propertyCountry'>>;
    createPropertyImage?: Resolver<ResolversTypes['PropertyImage'], ParentType, ContextType, RequireFields<MutationCreatePropertyImageArgs, 'propertyImage'>>;
    createPropertyOwner?: Resolver<ResolversTypes['PropertyOwner'], ParentType, ContextType, RequireFields<MutationCreatePropertyOwnerArgs, 'propertyOwner'>>;
    createPropertyPaymentStatus?: Resolver<ResolversTypes['PropertyPaymentStatus'], ParentType, ContextType, RequireFields<MutationCreatePropertyPaymentStatusArgs, 'propertyPaymentStatus'>>;
    createPropertyReservation?: Resolver<ResolversTypes['PropertyReservation'], ParentType, ContextType, RequireFields<MutationCreatePropertyReservationArgs, 'propertyReservation'>>;
    createPropertyReservationStatus?: Resolver<ResolversTypes['PropertyReservation'], ParentType, ContextType, RequireFields<MutationCreatePropertyReservationStatusArgs, 'propertyReservation'>>;
    createPropertyReview?: Resolver<ResolversTypes['PropertyReview'], ParentType, ContextType, RequireFields<MutationCreatePropertyReviewArgs, 'propertyReview'>>;
    createPropertyService?: Resolver<ResolversTypes['PropertyService'], ParentType, ContextType, RequireFields<MutationCreatePropertyServiceArgs, 'propertyService'>>;
    createPropertyStatus?: Resolver<ResolversTypes['PropertyStatus'], ParentType, ContextType, RequireFields<MutationCreatePropertyStatusArgs, 'propertyStatus'>>;
    createPropertyType?: Resolver<ResolversTypes['PropertyType'], ParentType, ContextType, RequireFields<MutationCreatePropertyTypeArgs, 'propertyType'>>;
    createPropertyUser?: Resolver<ResolversTypes['PropertyUser'], ParentType, ContextType, RequireFields<MutationCreatePropertyUserArgs, 'propertyUser'>>;
    createUserPropertyLike?: Resolver<ResolversTypes['UserPropertyLike'], ParentType, ContextType, RequireFields<MutationCreateUserPropertyLikeArgs, 'userPropertyLike'>>;
    deleteProperty?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyArgs, 'id'>>;
    deletePropertyCity?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyCityArgs, 'id'>>;
    deletePropertyComment?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyCommentArgs, 'id'>>;
    deletePropertyCommentReply?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyCommentReplyArgs, 'id'>>;
    deletePropertyCountry?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyCountryArgs, 'id'>>;
    deletePropertyImage?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyImageArgs, 'id'>>;
    deletePropertyOwner?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyOwnerArgs, 'id'>>;
    deletePropertyPaymentStatus?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyPaymentStatusArgs, 'id'>>;
    deletePropertyReservation?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyReservationArgs, 'id'>>;
    deletePropertyReservationStatus?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyReservationStatusArgs, 'id'>>;
    deletePropertyReview?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyReviewArgs, 'id'>>;
    deletePropertyService?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyServiceArgs, 'id'>>;
    deletePropertyStatus?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyStatusArgs, 'id'>>;
    deletePropertyType?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyTypeArgs, 'id'>>;
    deletePropertyUser?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeletePropertyUserArgs, 'id'>>;
    deleteUserPropertyLike?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType, RequireFields<MutationDeleteUserPropertyLikeArgs, 'id'>>;
    dummy?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    syncCachedCounter?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    updateProperty?: Resolver<ResolversTypes['Property'], ParentType, ContextType, RequireFields<MutationUpdatePropertyArgs, 'id' | 'propertys'>>;
    updatePropertyCity?: Resolver<ResolversTypes['PropertyCity'], ParentType, ContextType, RequireFields<MutationUpdatePropertyCityArgs, 'id' | 'propertyCity'>>;
    updatePropertyComment?: Resolver<ResolversTypes['PropertyComment'], ParentType, ContextType, RequireFields<MutationUpdatePropertyCommentArgs, 'id' | 'propertyComment'>>;
    updatePropertyCommentReply?: Resolver<ResolversTypes['PropertyCommentReply'], ParentType, ContextType, RequireFields<MutationUpdatePropertyCommentReplyArgs, 'id' | 'propertyCommentReply'>>;
    updatePropertyCountry?: Resolver<ResolversTypes['PropertyCountry'], ParentType, ContextType, RequireFields<MutationUpdatePropertyCountryArgs, 'id' | 'propertyCountry'>>;
    updatePropertyImage?: Resolver<ResolversTypes['PropertyImage'], ParentType, ContextType, RequireFields<MutationUpdatePropertyImageArgs, 'id' | 'propertyImage'>>;
    updatePropertyOwner?: Resolver<ResolversTypes['PropertyOwner'], ParentType, ContextType, RequireFields<MutationUpdatePropertyOwnerArgs, 'id' | 'propertyOwner'>>;
    updatePropertyPaymentStatus?: Resolver<ResolversTypes['PropertyPaymentStatus'], ParentType, ContextType, RequireFields<MutationUpdatePropertyPaymentStatusArgs, 'id' | 'propertyPaymentStatus'>>;
    updatePropertyReservation?: Resolver<ResolversTypes['PropertyReservation'], ParentType, ContextType, RequireFields<MutationUpdatePropertyReservationArgs, 'id' | 'propertyReservation'>>;
    updatePropertyReservationStatus?: Resolver<ResolversTypes['PropertyReservation'], ParentType, ContextType, RequireFields<MutationUpdatePropertyReservationStatusArgs, 'id' | 'propertyReservation'>>;
    updatePropertyReview?: Resolver<ResolversTypes['PropertyReview'], ParentType, ContextType, RequireFields<MutationUpdatePropertyReviewArgs, 'id' | 'propertyReview'>>;
    updatePropertyService?: Resolver<ResolversTypes['PropertyService'], ParentType, ContextType, RequireFields<MutationUpdatePropertyServiceArgs, 'id' | 'propertyService'>>;
    updatePropertyStatus?: Resolver<ResolversTypes['PropertyStatus'], ParentType, ContextType, RequireFields<MutationUpdatePropertyStatusArgs, 'id' | 'propertyStatus'>>;
    updatePropertyType?: Resolver<ResolversTypes['PropertyType'], ParentType, ContextType, RequireFields<MutationUpdatePropertyTypeArgs, 'id' | 'propertyType'>>;
    updatePropertyUser?: Resolver<ResolversTypes['PropertyUser'], ParentType, ContextType, RequireFields<MutationUpdatePropertyUserArgs, 'id' | 'propertyUser'>>;
};
export declare type PropertiesResolvers<ContextType = any, ParentType extends ResolversParentTypes['Properties'] = ResolversParentTypes['Properties']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Array<Maybe<ResolversTypes['Property']>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyResolvers<ContextType = any, ParentType extends ResolversParentTypes['Property'] = ResolversParentTypes['Property']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    name?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    description?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    introduction?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    maxPeople?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    thumbnailUrl?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    type?: Resolver<ResolversTypes['PropertyType'], ParentType, ContextType>;
    status?: Resolver<Maybe<ResolversTypes['PropertyStatus']>, ParentType, ContextType>;
    totalReview?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    totalStar?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    pricePerNight?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    serviceFee?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    cleaningFee?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    owner?: Resolver<ResolversTypes['PropertyOwnerWithoutProperty'], ParentType, ContextType>;
    address?: Resolver<ResolversTypes['PropertyAddress'], ParentType, ContextType>;
    service?: Resolver<ResolversTypes['PropertyServiceWithoutProperty'], ParentType, ContextType>;
    comments?: Resolver<ResolversTypes['PropertyComments'], ParentType, ContextType, RequireFields<PropertyCommentsArgs, never>>;
    reviews?: Resolver<ResolversTypes['PropertyReviews'], ParentType, ContextType, RequireFields<PropertyReviewsArgs, never>>;
    images?: Resolver<ResolversTypes['PropertyImages'], ParentType, ContextType, RequireFields<PropertyImagesArgs, never>>;
    reservations?: Resolver<ResolversTypes['PropertyReservations'], ParentType, ContextType, RequireFields<PropertyReservationsArgs, never>>;
    userLikes?: Resolver<ResolversTypes['UserPropertyLikes'], ParentType, ContextType, RequireFields<PropertyUserLikesArgs, never>>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyAddressResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyAddress'] = ResolversParentTypes['PropertyAddress']> = {
    city?: Resolver<ResolversTypes['PropertyCity'], ParentType, ContextType>;
    streetName?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    number?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    description?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyCitiesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyCities'] = ResolversParentTypes['PropertyCities']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyCity']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyCityResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyCity'] = ResolversParentTypes['PropertyCity']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    name?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    country?: Resolver<ResolversTypes['PropertyCountry'], ParentType, ContextType>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyCommentResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyComment'] = ResolversParentTypes['PropertyComment']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    user?: Resolver<ResolversTypes['PropertyUser'], ParentType, ContextType>;
    comment?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    replies?: Resolver<Maybe<ResolversTypes['PropertyComments']>, ParentType, ContextType, RequireFields<PropertyCommentRepliesArgs, never>>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyCommentRepliesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyCommentReplies'] = ResolversParentTypes['PropertyCommentReplies']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyCommentReply']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyCommentReplyResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyCommentReply'] = ResolversParentTypes['PropertyCommentReply']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    replyToComment?: Resolver<ResolversTypes['PropertyComment'], ParentType, ContextType>;
    comment?: Resolver<Maybe<ResolversTypes['PropertyComment']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyCommentsResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyComments'] = ResolversParentTypes['PropertyComments']> = {
    data?: Resolver<Array<Maybe<ResolversTypes['PropertyComment']>>, ParentType, ContextType>;
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyCountriesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyCountries'] = ResolversParentTypes['PropertyCountries']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyCountry']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyCountryResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyCountry'] = ResolversParentTypes['PropertyCountry']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    name?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyImageResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyImage'] = ResolversParentTypes['PropertyImage']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    url?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    property?: Resolver<ResolversTypes['Property'], ParentType, ContextType>;
    alt?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyImagesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyImages'] = ResolversParentTypes['PropertyImages']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyImage']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyOwnerResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyOwner'] = ResolversParentTypes['PropertyOwner']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    passportNumber?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    properties?: Resolver<Maybe<ResolversTypes['Properties']>, ParentType, ContextType, RequireFields<PropertyOwnerPropertiesArgs, never>>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyOwnersResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyOwners'] = ResolversParentTypes['PropertyOwners']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyOwner']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyOwnerWithoutPropertyResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyOwnerWithoutProperty'] = ResolversParentTypes['PropertyOwnerWithoutProperty']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    passportNumber?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyPaymentStatusResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyPaymentStatus'] = ResolversParentTypes['PropertyPaymentStatus']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    status?: Resolver<ResolversTypes['PaymentStatusEnum'], ParentType, ContextType>;
    reservations?: Resolver<Maybe<ResolversTypes['PropertyReservations']>, ParentType, ContextType, RequireFields<PropertyPaymentStatusReservationsArgs, never>>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyPaymentStatusesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyPaymentStatuses'] = ResolversParentTypes['PropertyPaymentStatuses']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyPaymentStatus']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyReservationResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyReservation'] = ResolversParentTypes['PropertyReservation']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    user?: Resolver<ResolversTypes['PropertyUser'], ParentType, ContextType>;
    from?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    to?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    adults?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    children?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    infants?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    totalCost?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    reservationStatus?: Resolver<ResolversTypes['PropertyReservationStatus'], ParentType, ContextType>;
    paymentStatus?: Resolver<ResolversTypes['PropertyPaymentStatus'], ParentType, ContextType>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyReservationsResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyReservations'] = ResolversParentTypes['PropertyReservations']> = {
    data?: Resolver<Array<Maybe<ResolversTypes['PropertyReservation']>>, ParentType, ContextType>;
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyReservationStatusResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyReservationStatus'] = ResolversParentTypes['PropertyReservationStatus']> = {
    id?: Resolver<Maybe<ResolversTypes['ID']>, ParentType, ContextType>;
    status?: Resolver<ResolversTypes['ReservationStatusEnum'], ParentType, ContextType>;
    reservations?: Resolver<Maybe<ResolversTypes['PropertyReservations']>, ParentType, ContextType, RequireFields<PropertyReservationStatusReservationsArgs, never>>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyReservationStatusesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyReservationStatuses'] = ResolversParentTypes['PropertyReservationStatuses']> = {
    data?: Resolver<Array<Maybe<ResolversTypes['PropertyReservationStatus']>>, ParentType, ContextType>;
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyReviewResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyReview'] = ResolversParentTypes['PropertyReview']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    user?: Resolver<ResolversTypes['PropertyUser'], ParentType, ContextType>;
    reservation?: Resolver<ResolversTypes['PropertyReservation'], ParentType, ContextType>;
    star?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    reviewComment?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyReviewsResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyReviews'] = ResolversParentTypes['PropertyReviews']> = {
    data?: Resolver<Array<Maybe<ResolversTypes['PropertyReview']>>, ParentType, ContextType>;
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyServiceResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyService'] = ResolversParentTypes['PropertyService']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    wifii?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    kitchen?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    breakfast?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    petAllowed?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    freeParking?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    property?: Resolver<ResolversTypes['Property'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyServicesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyServices'] = ResolversParentTypes['PropertyServices']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyService']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyServiceWithoutPropertyResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyServiceWithoutProperty'] = ResolversParentTypes['PropertyServiceWithoutProperty']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    wifii?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    kitchen?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    breakfast?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    petAllowed?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    freeParking?: Resolver<Maybe<ResolversTypes['Boolean']>, ParentType, ContextType>;
    property?: Resolver<ResolversTypes['Property'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyStatusResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyStatus'] = ResolversParentTypes['PropertyStatus']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    status?: Resolver<ResolversTypes['PropertyStatusEnum'], ParentType, ContextType>;
    properties?: Resolver<Maybe<ResolversTypes['Properties']>, ParentType, ContextType, RequireFields<PropertyStatusPropertiesArgs, never>>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyStatusesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyStatuses'] = ResolversParentTypes['PropertyStatuses']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyStatus']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyTypeResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyType'] = ResolversParentTypes['PropertyType']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    type?: Resolver<ResolversTypes['PropertyTypeEnum'], ParentType, ContextType>;
    thumbnailUrl?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    description?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    properties?: Resolver<Maybe<ResolversTypes['Properties']>, ParentType, ContextType, RequireFields<PropertyTypePropertiesArgs, never>>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyTypesResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyTypes'] = ResolversParentTypes['PropertyTypes']> = {
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    data?: Resolver<Maybe<Array<Maybe<ResolversTypes['PropertyType']>>>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyUserResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyUser'] = ResolversParentTypes['PropertyUser']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    name?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    phoneNumber?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    profileImageUrl?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    comments?: Resolver<Maybe<ResolversTypes['PropertyComments']>, ParentType, ContextType, RequireFields<PropertyUserCommentsArgs, never>>;
    reviews?: Resolver<Maybe<ResolversTypes['PropertyReviews']>, ParentType, ContextType, RequireFields<PropertyUserReviewsArgs, never>>;
    propertyLikes?: Resolver<Maybe<ResolversTypes['UserPropertyLikes']>, ParentType, ContextType, RequireFields<PropertyUserPropertyLikesArgs, never>>;
    reservations?: Resolver<Maybe<ResolversTypes['PropertyUsers']>, ParentType, ContextType, RequireFields<PropertyUserReservationsArgs, never>>;
    createdAt?: Resolver<ResolversTypes['Date'], ParentType, ContextType>;
    updatedAt?: Resolver<Maybe<ResolversTypes['Date']>, ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type PropertyUsersResolvers<ContextType = any, ParentType extends ResolversParentTypes['PropertyUsers'] = ResolversParentTypes['PropertyUsers']> = {
    data?: Resolver<Array<Maybe<ResolversTypes['PropertyUser']>>, ParentType, ContextType>;
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type QueryResolvers<ContextType = any, ParentType extends ResolversParentTypes['Query'] = ResolversParentTypes['Query']> = {
    PropertyPaymentStatus?: Resolver<ResolversTypes['PropertyPaymentStatus'], ParentType, ContextType, RequireFields<QueryPropertyPaymentStatusArgs, 'id'>>;
    counter?: Resolver<Maybe<ResolversTypes['Counter']>, ParentType, ContextType>;
    counterCache?: Resolver<Maybe<ResolversTypes['Counter']>, ParentType, ContextType>;
    counterState?: Resolver<Maybe<ResolversTypes['ClientCounter']>, ParentType, ContextType>;
    dummy?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    moleculerCounter?: Resolver<Maybe<ResolversTypes['Counter']>, ParentType, ContextType>;
    properties?: Resolver<ResolversTypes['Properties'], ParentType, ContextType, RequireFields<QueryPropertiesArgs, never>>;
    property?: Resolver<ResolversTypes['Property'], ParentType, ContextType, RequireFields<QueryPropertyArgs, 'id'>>;
    propertyCities?: Resolver<ResolversTypes['PropertyCities'], ParentType, ContextType, RequireFields<QueryPropertyCitiesArgs, never>>;
    propertyCity?: Resolver<ResolversTypes['PropertyCity'], ParentType, ContextType, RequireFields<QueryPropertyCityArgs, 'id'>>;
    propertyComment?: Resolver<ResolversTypes['PropertyComment'], ParentType, ContextType, RequireFields<QueryPropertyCommentArgs, 'id'>>;
    propertyCommentReplies?: Resolver<ResolversTypes['PropertyCommentReplies'], ParentType, ContextType, RequireFields<QueryPropertyCommentRepliesArgs, never>>;
    propertyCommentReply?: Resolver<ResolversTypes['PropertyCommentReply'], ParentType, ContextType, RequireFields<QueryPropertyCommentReplyArgs, 'id'>>;
    propertyComments?: Resolver<ResolversTypes['PropertyComments'], ParentType, ContextType, RequireFields<QueryPropertyCommentsArgs, never>>;
    propertyCountries?: Resolver<ResolversTypes['PropertyCountries'], ParentType, ContextType, RequireFields<QueryPropertyCountriesArgs, never>>;
    propertyCountry?: Resolver<ResolversTypes['PropertyCountry'], ParentType, ContextType, RequireFields<QueryPropertyCountryArgs, 'id'>>;
    propertyImage?: Resolver<ResolversTypes['PropertyImage'], ParentType, ContextType, RequireFields<QueryPropertyImageArgs, 'id'>>;
    propertyImages?: Resolver<ResolversTypes['PropertyImages'], ParentType, ContextType, RequireFields<QueryPropertyImagesArgs, never>>;
    propertyOwner?: Resolver<ResolversTypes['PropertyOwner'], ParentType, ContextType, RequireFields<QueryPropertyOwnerArgs, 'id'>>;
    propertyOwners?: Resolver<ResolversTypes['PropertyOwners'], ParentType, ContextType, RequireFields<QueryPropertyOwnersArgs, never>>;
    propertyPaymentStatuses?: Resolver<ResolversTypes['PropertyPaymentStatuses'], ParentType, ContextType, RequireFields<QueryPropertyPaymentStatusesArgs, never>>;
    propertyReservation?: Resolver<ResolversTypes['PropertyReservation'], ParentType, ContextType, RequireFields<QueryPropertyReservationArgs, 'id'>>;
    propertyReservationStatus?: Resolver<ResolversTypes['PropertyReservation'], ParentType, ContextType, RequireFields<QueryPropertyReservationStatusArgs, 'id'>>;
    propertyReservationStatuses?: Resolver<ResolversTypes['PropertyReservations'], ParentType, ContextType, RequireFields<QueryPropertyReservationStatusesArgs, never>>;
    propertyReservations?: Resolver<ResolversTypes['PropertyReservations'], ParentType, ContextType, RequireFields<QueryPropertyReservationsArgs, never>>;
    propertyReview?: Resolver<ResolversTypes['PropertyReview'], ParentType, ContextType, RequireFields<QueryPropertyReviewArgs, 'id'>>;
    propertyReviews?: Resolver<ResolversTypes['PropertyReviews'], ParentType, ContextType, RequireFields<QueryPropertyReviewsArgs, never>>;
    propertyService?: Resolver<ResolversTypes['PropertyService'], ParentType, ContextType, RequireFields<QueryPropertyServiceArgs, 'id'>>;
    propertyServices?: Resolver<ResolversTypes['PropertyServices'], ParentType, ContextType, RequireFields<QueryPropertyServicesArgs, never>>;
    propertyStatus?: Resolver<ResolversTypes['PropertyStatus'], ParentType, ContextType, RequireFields<QueryPropertyStatusArgs, 'id'>>;
    propertyStatuses?: Resolver<ResolversTypes['PropertyStatuses'], ParentType, ContextType, RequireFields<QueryPropertyStatusesArgs, never>>;
    propertyType?: Resolver<ResolversTypes['PropertyType'], ParentType, ContextType, RequireFields<QueryPropertyTypeArgs, 'id'>>;
    propertyTypes?: Resolver<ResolversTypes['PropertyTypes'], ParentType, ContextType, RequireFields<QueryPropertyTypesArgs, never>>;
    propertyUser?: Resolver<ResolversTypes['PropertyUser'], ParentType, ContextType, RequireFields<QueryPropertyUserArgs, 'id'>>;
    propertyUsers?: Resolver<ResolversTypes['PropertyUsers'], ParentType, ContextType, RequireFields<QueryPropertyUsersArgs, never>>;
    userPropertyLike?: Resolver<ResolversTypes['UserPropertyLike'], ParentType, ContextType, RequireFields<QueryUserPropertyLikeArgs, 'id'>>;
    userPropertyLikes?: Resolver<ResolversTypes['UserPropertyLikes'], ParentType, ContextType, RequireFields<QueryUserPropertyLikesArgs, never>>;
};
export declare type SubscriptionResolvers<ContextType = any, ParentType extends ResolversParentTypes['Subscription'] = ResolversParentTypes['Subscription']> = {
    counterUpdated?: SubscriptionResolver<Maybe<ResolversTypes['Counter']>, "counterUpdated", ParentType, ContextType>;
    dummy?: SubscriptionResolver<Maybe<ResolversTypes['Int']>, "dummy", ParentType, ContextType>;
    moleculerCounterUpdate?: SubscriptionResolver<Maybe<ResolversTypes['Counter']>, "moleculerCounterUpdate", ParentType, ContextType>;
};
export interface TimeScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Time'], any> {
    name: 'Time';
}
export declare type UserPropertyLikeResolvers<ContextType = any, ParentType extends ResolversParentTypes['UserPropertyLike'] = ResolversParentTypes['UserPropertyLike']> = {
    id?: Resolver<ResolversTypes['ID'], ParentType, ContextType>;
    user?: Resolver<ResolversTypes['PropertyUser'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type UserPropertyLikesResolvers<ContextType = any, ParentType extends ResolversParentTypes['UserPropertyLikes'] = ResolversParentTypes['UserPropertyLikes']> = {
    data?: Resolver<Array<Maybe<ResolversTypes['UserPropertyLike']>>, ParentType, ContextType>;
    totalCount?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    __isTypeOf?: isTypeOfResolverFn<ParentType>;
};
export declare type Resolvers<ContextType = any> = {
    AnyObject?: GraphQLScalarType;
    ClientCounter?: ClientCounterResolvers<ContextType>;
    Counter?: CounterResolvers<ContextType>;
    Date?: GraphQLScalarType;
    DateTime?: GraphQLScalarType;
    FieldError?: FieldErrorResolvers<ContextType>;
    JSON?: GraphQLScalarType;
    JSONObject?: GraphQLScalarType;
    Mutation?: MutationResolvers<ContextType>;
    Properties?: PropertiesResolvers<ContextType>;
    Property?: PropertyResolvers<ContextType>;
    PropertyAddress?: PropertyAddressResolvers<ContextType>;
    PropertyCities?: PropertyCitiesResolvers<ContextType>;
    PropertyCity?: PropertyCityResolvers<ContextType>;
    PropertyComment?: PropertyCommentResolvers<ContextType>;
    PropertyCommentReplies?: PropertyCommentRepliesResolvers<ContextType>;
    PropertyCommentReply?: PropertyCommentReplyResolvers<ContextType>;
    PropertyComments?: PropertyCommentsResolvers<ContextType>;
    PropertyCountries?: PropertyCountriesResolvers<ContextType>;
    PropertyCountry?: PropertyCountryResolvers<ContextType>;
    PropertyImage?: PropertyImageResolvers<ContextType>;
    PropertyImages?: PropertyImagesResolvers<ContextType>;
    PropertyOwner?: PropertyOwnerResolvers<ContextType>;
    PropertyOwners?: PropertyOwnersResolvers<ContextType>;
    PropertyOwnerWithoutProperty?: PropertyOwnerWithoutPropertyResolvers<ContextType>;
    PropertyPaymentStatus?: PropertyPaymentStatusResolvers<ContextType>;
    PropertyPaymentStatuses?: PropertyPaymentStatusesResolvers<ContextType>;
    PropertyReservation?: PropertyReservationResolvers<ContextType>;
    PropertyReservations?: PropertyReservationsResolvers<ContextType>;
    PropertyReservationStatus?: PropertyReservationStatusResolvers<ContextType>;
    PropertyReservationStatuses?: PropertyReservationStatusesResolvers<ContextType>;
    PropertyReview?: PropertyReviewResolvers<ContextType>;
    PropertyReviews?: PropertyReviewsResolvers<ContextType>;
    PropertyService?: PropertyServiceResolvers<ContextType>;
    PropertyServices?: PropertyServicesResolvers<ContextType>;
    PropertyServiceWithoutProperty?: PropertyServiceWithoutPropertyResolvers<ContextType>;
    PropertyStatus?: PropertyStatusResolvers<ContextType>;
    PropertyStatuses?: PropertyStatusesResolvers<ContextType>;
    PropertyType?: PropertyTypeResolvers<ContextType>;
    PropertyTypes?: PropertyTypesResolvers<ContextType>;
    PropertyUser?: PropertyUserResolvers<ContextType>;
    PropertyUsers?: PropertyUsersResolvers<ContextType>;
    Query?: QueryResolvers<ContextType>;
    Subscription?: SubscriptionResolvers<ContextType>;
    Time?: GraphQLScalarType;
    UserPropertyLike?: UserPropertyLikeResolvers<ContextType>;
    UserPropertyLikes?: UserPropertyLikesResolvers<ContextType>;
};
/**
 * @deprecated
 * Use "Resolvers" root object instead. If you wish to get "IResolvers", add "typesPrefix: I" to your config.
 */
export declare type IResolvers<ContextType = any> = Resolvers<ContextType>;
export declare const AddCounterStateDocument: import("graphql").DocumentNode;
export declare type AddCounterStateMutationResult = ApolloReactCommon.MutationResult<AddCounterStateMutation>;
export declare type AddCounterStateMutationOptions = ApolloReactCommon.BaseMutationOptions<AddCounterStateMutation, AddCounterStateMutationVariables>;
export declare const AddCounterDocument: import("graphql").DocumentNode;
export declare type AddCounterMutationResult = ApolloReactCommon.MutationResult<AddCounterMutation>;
export declare type AddCounterMutationOptions = ApolloReactCommon.BaseMutationOptions<AddCounterMutation, AddCounterMutationVariables>;
export declare const AddCounter_WsDocument: import("graphql").DocumentNode;
export declare type AddCounter_WsMutationResult = ApolloReactCommon.MutationResult<AddCounter_WsMutation>;
export declare type AddCounter_WsMutationOptions = ApolloReactCommon.BaseMutationOptions<AddCounter_WsMutation, AddCounter_WsMutationVariables>;
export declare const SyncCachedCounterDocument: import("graphql").DocumentNode;
export declare type SyncCachedCounterMutationResult = ApolloReactCommon.MutationResult<SyncCachedCounterMutation>;
export declare type SyncCachedCounterMutationOptions = ApolloReactCommon.BaseMutationOptions<SyncCachedCounterMutation, SyncCachedCounterMutationVariables>;
export declare const CounterCacheQueryDocument: import("graphql").DocumentNode;
export declare type CounterCacheQueryQueryResult = ApolloReactCommon.QueryResult<CounterCacheQueryQuery, CounterCacheQueryQueryVariables>;
export declare const CounterStateDocument: import("graphql").DocumentNode;
export declare type CounterStateQueryResult = ApolloReactCommon.QueryResult<CounterStateQuery, CounterStateQueryVariables>;
export declare const CounterQueryDocument: import("graphql").DocumentNode;
export declare type CounterQueryQueryResult = ApolloReactCommon.QueryResult<CounterQueryQuery, CounterQueryQueryVariables>;
export declare const OnCounterUpdatedDocument: import("graphql").DocumentNode;
export declare type OnCounterUpdatedSubscriptionResult = ApolloReactCommon.SubscriptionResult<OnCounterUpdatedSubscription>;
//# sourceMappingURL=generated-models.d.ts.map